## ros-kinetic-naoqi-tools 0.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_tools)

# We need to find catkin for the rest of the script to work
find_package(catkin REQUIRED)# COMPONENTS
#  roscpp
#  tf
#  message_filters
#  sensor_msgs
#)

# Nothing that can be imported by other modules
catkin_package()

catkin_python_setup()

include_directories(${catkin_INCLUDE_DIRS})

catkin_install_python(PROGRAMS
  scripts/generate_urdf.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-naoqi-tools (0.5.5-0xenial) xenial; urgency=high

  * cleanup, approching pep8 pep257 compliance (#56 <https://github.com/ros-naoqi/naoqi_bridge/issues/56>)
    * cleanup, approching pep8 pep257 compliance
    * fix typo
    * include Transmission and Gazebo for all robots
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-naoqi-tools (0.5.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 20 May 2016 07:00:00 -0000

ros-kinetic-naoqi-tools (0.5.3-0xenial) xenial; urgency=high

  * add add_dummy_collision function for gazebo simulation
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 26 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.5.2-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.5.1-0xenial) xenial; urgency=high

  * generate changelog
  * generate changelog
  * Contributors: Karsten Knese
  * generate changelog
  * Contributors: Karsten Knese

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.5.0-0xenial) xenial; urgency=high

  * make sure we add the cap for Romeo
  * fix bad macro names
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.4.8-0xenial) xenial; urgency=high

  * also fix the right laser frames
  * add an executable to compare xacro files
  * add xmldiff to compare XML files
  * add specific laser frames for Pepper and misc bugfixes
  * use the conventional functions for mesh processing
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 25 Jun 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.4.7-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-naoqi-tools (0.4.6-0xenial) xenial; urgency=high

  * Update README_run_blender_script.py.rst
  * fix for issue 31: to be tested
  * update wiki ros links
  * update repo links in package.xml
  * upload blender scripts
  * add optical frames for each camera
  * fix typo for inversion of sonars
  * Use catkin_install_python macro
  * Move generate_urdf.py system bin dir to package bin dir
  * Contributors: Arguedas Mikael, Mikael Arguedas, Takashi Ogura, Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.5-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 11 Feb 2015 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.4-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 16 Jan 2015 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.3-0xenial) xenial; urgency=high

  * naoqui_tools not depending on robot descriptions
    I was gonna test Nao in ROS and, hopefully, in Gazebo. I didn't find any updated guide on that so I'm just debugging as I work.
    I did a:
    rosdep install --from-paths src --ignore-src --rosdistro hydro -y
    On a workspace with only ```nao_robot``` and ```naoqi_bridge``` and I got:
    ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies:
    naoqi_tools: Cannot locate rosdep definition for [romeo_description]
    As it's named "tools" I think that maybe it shouldn't depend on the robots descriptions (or you'll need all of them in the workspace!).
  * remove _actuator suffix to Hand joints
  * Contributors: Mikael ARGUEDAS, Sammy Pfeiffer

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sun, 14 Dec 2014 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.2-0xenial) xenial; urgency=high

  * remove useless dependency
  * Remove suffix _joint for all joints
  * get package version to agree
  * add changelogs
  * fix module dependency to comply new git organization
  * update file according to comments of vrabaud
  * changed actuator frames naming convention
  * Update README.rst
  * add urdf parsing libs and generation script
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS, Vincent Rabaud, margueda
  * fix module dependency to comply new git organization
  * update file according to comments of vrabaud
  * changed actuator frames naming convention
  * Update README.rst
  * add urdf parsing libs and generation script
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 26 Nov 2014 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.1-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-kinetic-naoqi-tools (0.4.0-0xenial) xenial; urgency=high



 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-naoqi-tools
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael.arguedas@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://www.ros.org/wiki/naoqi_tools
Standards-Version: 3.9.2

Package: ros-kinetic-naoqi-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Set of tools provided by Aldebaran to convert Aldebaran files (URDF, blender...)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-naoqi-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
